解决编译php5.4 undefined reference to icu 55 or icu 57

编译php5.4,碰到一个妖异的错误。 undefined reference to icu 55, icu4c是我手工编译的icu4c-55_1,于是乎卸载掉,重新编译最新版本的icu4c-57_1,安装臂弯重新编译php5.4结果继续出现undefined reference to icu 57。搜索了半天,终于发现貌似是在之编译其他软件时候安装了CentOS7.2源里的icu4c,只要干掉默认安装的即可解决问题。从下面的查询可以看到,源里的版本是50.1.2,而我使用的是55.1和57.1,但编译过程中会自动去寻找系统安装的50.1.2版本,不知道是否是因为我没有指定icu目录的问题,有时间再编译一次试试。

Tags: , ,